DATA_SECTION
  !! random_number_generator rng(123456);
  vector X(1,1000);
  !! X.fill_randn(rng);
  !! X*=5.0;
  !! X+=2.0;

PARAMETER_SECTION
  init_number logSigma;
  init_number mu;
  sdreport_number sigma;
  objective_function_value nll;

PROCEDURE_SECTION
  sigma=exp(logSigma);
  int N=X.indexmax()-X.indexmin()+1;
  dvariable ss=square(sigma);
  nll=0.5*(N*log(2*M_PI*ss)+sum(square(X-mu))/ss);

