DATA_SECTION
  init_int nobs
  init_vector y(1,nobs)
  init_vector x(1,nobs)
PARAMETER_SECTION
  init_number a   
  init_number b 

  vector pred_y(1,nobs)
  
  objective_function_value f
PROCEDURE_SECTION
  pred_y=a+b*x;
  f=sum(square(pred_y-y));
REPORT_SECTION
  report<<"x data"<<endl;
  report<<x<<endl;
  report<<"y data"<<endl;
  report<<y<<endl;
  report<<"predicted y values"<<endl;
  report<<pred_y<<endl;


