DATA_SECTION
  !! random_number_generator rng(123456);
  int n;
  !! n=1000;
  vector N(1,n);
  vector X(1,n);
  !! N.fill_randpoisson(10,rng);
  !! for(int i=N.indexmin(); i<=N.indexmax(); ++i){
  !!   dvector tmp(1,(int)N(i));
  !!   tmp.fill_randbi(0.7,rng);      
  !!   X(i)=sum(tmp);
  !! }

PARAMETER_SECTION
  init_bounded_number p(0,1);
  objective_function_value nll;

PROCEDURE_SECTION
  nll=-sum(log_comb(N,X))-log(p)*sum(X)-log(1-p)*sum(N-X);
